header {
    width: 100%;
    max-width: 100vw;
    height: 120px;
    position: fixed;
    z-index: 1000;
    transition: all 0.3s ease;
}

header * {
    max-width: 100%;
}

header a {
    color: var(--main-font-color);
    text-decoration: none;
    transition: all 0.3s ease;
}

header a:hover {
    color: var(--main-font-color);
    text-decoration: none;
    transform: scale(1.1);
}

.scroolHeader {
    transition: all 0.3s ease;
    background-color: var(--main-bg-color-header);
    border-bottom: 2px solid var(--main-font-color);
}

header a:visited {
    color: var(--main-font-color);
    text-decoration: none;
}

.header-container {
    width: 100%;
    max-width: 1100px;
    height: 100%;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.logo-container {
    margin: auto 15px;
}

.logo-container > a {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.logo-container > a > img {
    width: 35px;
    height: 35px;
    margin: auto 15px;
}

.logo-container > a > p {
    font-size: 22px;
    margin: auto 15px auto 0px;
    font-weight: 800;
}

.header-container__links {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
}
.header-container__links a {
    font-size: 19px;
    margin: auto 10px;
}

.header-container__links a {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    font-size: 19px;
    font-weight: 400;
}

.header-container__links a p {
    position: relative;
}

.header-container__links .active {
    font-weight: 600;
}

.header-container__links a span { 
    opacity: 0;
    display: none;
    animation: 0.5s ease 0s 1 reverse backwards appearSpan;

}

.header-container__links a.active span {
    position: absolute;
    opacity: 0;
    display: block;
    height: 5px;
    width: 0%;
    margin-top: 10px;
    border-radius: 35px;
    background-color: var(--main-accent-color);
    animation: 0.5s ease 0s 1 normal forwards appearSpan;
}

.hamburger-container {
    display: none;
}

.header-container.extends {
    display: flex;
    background-color: var(--main-bg-color-header);
    transition: max-height 0.5s ease;
    visibility: hidden;
    height: 0;
}

#hamburger-image {
    width: 35px;
    height: 35px;
    margin: auto 15px;
    cursor: pointer;
}

@keyframes appearSpan {
    0% {
        display: none;
        opacity: 0;
        width: 0%;
    }
    100% {
        display: block;
        opacity: 1;
        width: 90%;
    }
}

@media screen and (max-width: 600px) {
    header {
        min-height: 120px;
        height: auto;
    }

    .hamburger-container {
        display: flex;
        transition: all 0.3s ease;
    }
    .hamburger-container:active {
        display: flex;
        transform: scale(0.9);
    }

    .header-container.bar {
        min-height: 120px;
    }

    .header-container.bar > .header-container__links {
        display: none;
    }

    .header-container.extends > .header-container__links {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-around;
        flex-wrap: wrap;
    }

    .header-container.extends > .header-container__links > a {
        flex-shrink: 0;
        margin: auto 18px;
    }

    .header-container.extends.hidden {
        visibility: hidden;
        height: 0;
        max-height: 0;
        opacity: 0;
        transform: scaleY(0) translateY(100px) ;
        transition: transform 0.5s ease,  opacity 0.5s ease;
    }

    .header-container.extends.visible {
        visibility: visible;
        min-height: 130px;
        height: auto;
        transform: scaleY(1) translateY(0px) ;
        padding: 35px 5px;
        opacity: 1;
        transition: transform 0.5s ease, opacity 0.5s ease;
    }
}
